| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
StatsTreeDialog Class Reference

A TapParameterDialog that displays a stats_tree-based statistics table. More...

`#include <stats_tree_dialog.h>`

Inheritance diagram for StatsTreeDialog:

## Public Member Functions
| StatsTreeDialog (QWidget &parent, CaptureFile &cf, const char *cfg_abbr)
| Construct a StatsTreeDialog for a given stats_tree configuration.
| ~StatsTreeDialog ()
| Destructor.
Public Member Functions inherited from TapParameterDialog
| TapParameterDialog (QWidget &parent, CaptureFile &cf, int help_topic=0)
| Constructs the tap parameter dialog and registers it for retapping.
| ~TapParameterDialog ()
| Destroys the dialog, deregisters the tap, and releases UI resources.
QTreeWidget * | statsTreeWidget ()
| Returns the statistics results tree widget for use by subclasses.
QLineEdit * | displayFilterLineEdit ()
| Returns the display filter line edit widget for use by subclasses.
QPushButton * | applyFilterButton ()
| Returns the Apply Filter button for use by subclasses.
QVBoxLayout * | verticalLayout ()
| Returns the main vertical layout for use by subclasses that need to insert additional widgets.
QHBoxLayout * | filterLayout ()
| Returns the filter bar horizontal layout for use by subclasses.
void | drawTreeItems ()
| Triggers a full redraw of all tree items, typically called after the tap has finished accumulating data.
Public Member Functions inherited from WiresharkDialog
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
| Constructs a new WiresharkDialog object.
bool | fileClosed () const
| Checks if the capture file has been closed.
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *parent, Qt::WindowFlags f=Qt::Window)
| Constructs a new GeometryStateDialog with the specified parent and window flags.
| ~GeometryStateDialog ()
| Save the geometry and splitter state and then destroy the GeometryStateDialog.
void | setWindowModality (Qt::WindowModality windowModality)
| Sets the window modality for the dialog. On non-macOS platforms, this also sets the parent to ensure modal dialogs are always on top of their parent.

## Static Public Member Functions
static void | setupNode (stat_node *node)
| Configure the Qt-side presentation fields of a stats_tree node.
Static Public Member Functions inherited from TapParameterDialog
static const QString & | actionName ()
| Returns the action name string used to identify this dialog type in menus.
static void | registerDialog (const QString title, const char *cfg_abbr, register_stat_group_t group, stat_tap_init_cb tap_init_cb, tpdCreator creator)
| Registers a TapParameterDialog subclass so it can be opened via the statistics menu or the "-z" command-line option.
static TapParameterDialog * | showTapParameterStatistics (QWidget &parent, CaptureFile &cf, const QString cfg_str, const QString arg, void *)
| Finds or creates and shows the tap statistics dialog matching `cfg_str`.

## Additional Inherited Members
Signals inherited from TapParameterDialog
void | filterAction (QString filter, FilterAction::Action action, FilterAction::ActionType type)
| Emitted when the user triggers a filter action from the context menu.
void | updateFilter (QString filter)
| Emitted to push a new display filter to the main window filter bar.
Protected Slots inherited from TapParameterDialog
void | filterActionTriggered ()
| Applies the filter action associated with the triggered context menu action.
void | collapseAllActionTriggered ()
| Collapses all items in the statistics tree.
void | expandAllActionTriggered ()
| Expands all items in the statistics tree.
void | updateWidgets () override
| Refreshes the enabled/disabled state of UI widgets based on current capture and filter state.
Protected Slots inherited from WiresharkDialog
void | captureEvent (CaptureEvent e)
| Handles capture events.
Protected Member Functions inherited from TapParameterDialog
void | contextMenuEvent (QContextMenuEvent *event) override
| Shows the context menu with filter and tree collapse/expand actions.
void | addFilterActions ()
| Populates the context menu with filter actions for the selected tree item.
void | addTreeCollapseAllActions ()
| Adds "Collapse All" and "Expand All" actions to the context menu.
QString | displayFilter ()
| Returns the current display filter string from the filter line edit.
void | setDisplayFilter (const QString &filter)
| Sets the display filter line edit to the given expression.
void | setHint (const QString &hint)
| Sets the hint text shown below the tree widget.
void | setRetapOnShow (bool retap)
| Controls whether packets are retapped when the dialog is first shown. RPC statistics dialogs should disable this to manage their own retap timing.
Ui::TapParameterDialog * | getUI (void)
| Retrieves the UI object.
Protected Member Functions inherited from WiresharkDialog
virtual void | keyPressEvent (QKeyEvent *event) override
| Handles key press events.
virtual void | accept () override
| Accepts the dialog.
virtual void | reject () override
| Rejects the dialog.
virtual void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called.
virtual void | endRetapPackets ()
| Mark the end of a code block that retaps packets. If the user has closed the dialog it will be destroyed at this point.
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title.
const QString & | windowSubtitle ()
| Retrieves the current window subtitle.
virtual void | updateWidgets ()
| Updates the state and contents of the dialog's widgets.
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, unsigned flags, tap_reset_cb tap_reset, tap_packet_cb tap_packet, tap_draw_cb tap_draw)
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners.
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | listening () const
bool | dialogClosed () const
| Check to see if the user has closed (and not minimized) the dialog.
int | retapDepth () const
| Check to see if we're currently retapping. If this is positive, tapping will fail in process_specified_records.
virtual void | captureFileClosing ()
| Called when the capture file is about to close. This can be used to disconnect taps and similar actions. updateWidgets() is called at the end. To enable/disable widgets captureFileClosed() is more suitable.
virtual void | captureFileClosed ()
| Called when the capture file was closed. This can be used to enable or disable widgets according to the state of file_closed_. updateWidgets() is called at the end.
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())
| Loads the geometry and splitter state for the dialog.
void | loadSplitterState (QSplitter *splitter=nullptr)
| Loads the state of a splitter for the dialog.
Protected Attributes inherited from WiresharkDialog
CaptureFile & | cap_file_
| Reference to the underlying capture file.
bool | file_closed_
| Flag indicating if the capture file has been closed.

## Detailed Description

A TapParameterDialog that displays a stats_tree-based statistics table.

## Constructor & Destructor Documentation

## ◆ StatsTreeDialog()

StatsTreeDialog::StatsTreeDialog | ( | QWidget & | parent,
|  | CaptureFile & | cf,
|  | const char * | cfg_abbr )
| explicit

Construct a StatsTreeDialog for a given stats_tree configuration.

Parameters

  parent | The parent widget (passed to TapParameterDialog).
  cf | The capture file to tap.
  cfg_abbr | The short name identifying the `stats_tree_cfg` to instantiate (e.g. `"http_tree"`).

## Member Function Documentation

## ◆ setupNode()

void StatsTreeDialog::setupNode | ( | stat_node * | node | ) |
| static

Configure the Qt-side presentation fields of a stats_tree node.

Parameters

  node | The stats_tree node whose presentation data should be initialised.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/stats_tree_dialog.h
- /builds/wireshark/wireshark/ui/qt/stats_tree_dialog.cpp